package com.lightinit.hsdataplatform.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class LeaveMessageExample extends BaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public LeaveMessageExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMsgStateIsNull() {
            addCriterion("msg_state is null");
            return (Criteria) this;
        }

        public Criteria andMsgStateIsNotNull() {
            addCriterion("msg_state is not null");
            return (Criteria) this;
        }

        public Criteria andMsgStateEqualTo(String value) {
            addCriterion("msg_state =", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateNotEqualTo(String value) {
            addCriterion("msg_state <>", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateGreaterThan(String value) {
            addCriterion("msg_state >", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateGreaterThanOrEqualTo(String value) {
            addCriterion("msg_state >=", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateLessThan(String value) {
            addCriterion("msg_state <", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateLessThanOrEqualTo(String value) {
            addCriterion("msg_state <=", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateLike(String value) {
            addCriterion("msg_state like", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateNotLike(String value) {
            addCriterion("msg_state not like", value, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateIn(List<String> values) {
            addCriterion("msg_state in", values, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateNotIn(List<String> values) {
            addCriterion("msg_state not in", values, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateBetween(String value1, String value2) {
            addCriterion("msg_state between", value1, value2, "msgState");
            return (Criteria) this;
        }

        public Criteria andMsgStateNotBetween(String value1, String value2) {
            addCriterion("msg_state not between", value1, value2, "msgState");
            return (Criteria) this;
        }

        public Criteria andPublishByIsNull() {
            addCriterion("publish_by is null");
            return (Criteria) this;
        }

        public Criteria andPublishByIsNotNull() {
            addCriterion("publish_by is not null");
            return (Criteria) this;
        }

        public Criteria andPublishByEqualTo(Long value) {
            addCriterion("publish_by =", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByNotEqualTo(Long value) {
            addCriterion("publish_by <>", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByGreaterThan(Long value) {
            addCriterion("publish_by >", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByGreaterThanOrEqualTo(Long value) {
            addCriterion("publish_by >=", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByLessThan(Long value) {
            addCriterion("publish_by <", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByLessThanOrEqualTo(Long value) {
            addCriterion("publish_by <=", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByIn(List<Long> values) {
            addCriterion("publish_by in", values, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByNotIn(List<Long> values) {
            addCriterion("publish_by not in", values, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByBetween(Long value1, Long value2) {
            addCriterion("publish_by between", value1, value2, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByNotBetween(Long value1, Long value2) {
            addCriterion("publish_by not between", value1, value2, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishAtIsNull() {
            addCriterion("publish_at is null");
            return (Criteria) this;
        }

        public Criteria andPublishAtIsNotNull() {
            addCriterion("publish_at is not null");
            return (Criteria) this;
        }

        public Criteria andPublishAtEqualTo(Date value) {
            addCriterion("publish_at =", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtNotEqualTo(Date value) {
            addCriterion("publish_at <>", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtGreaterThan(Date value) {
            addCriterion("publish_at >", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtGreaterThanOrEqualTo(Date value) {
            addCriterion("publish_at >=", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtLessThan(Date value) {
            addCriterion("publish_at <", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtLessThanOrEqualTo(Date value) {
            addCriterion("publish_at <=", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtIn(List<Date> values) {
            addCriterion("publish_at in", values, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtNotIn(List<Date> values) {
            addCriterion("publish_at not in", values, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtBetween(Date value1, Date value2) {
            addCriterion("publish_at between", value1, value2, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtNotBetween(Date value1, Date value2) {
            addCriterion("publish_at not between", value1, value2, "publishAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtIsNull() {
            addCriterion("feedback_at is null");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtIsNotNull() {
            addCriterion("feedback_at is not null");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtEqualTo(Date value) {
            addCriterion("feedback_at =", value, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtNotEqualTo(Date value) {
            addCriterion("feedback_at <>", value, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtGreaterThan(Date value) {
            addCriterion("feedback_at >", value, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtGreaterThanOrEqualTo(Date value) {
            addCriterion("feedback_at >=", value, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtLessThan(Date value) {
            addCriterion("feedback_at <", value, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtLessThanOrEqualTo(Date value) {
            addCriterion("feedback_at <=", value, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtIn(List<Date> values) {
            addCriterion("feedback_at in", values, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtNotIn(List<Date> values) {
            addCriterion("feedback_at not in", values, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtBetween(Date value1, Date value2) {
            addCriterion("feedback_at between", value1, value2, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackAtNotBetween(Date value1, Date value2) {
            addCriterion("feedback_at not between", value1, value2, "feedbackAt");
            return (Criteria) this;
        }

        public Criteria andFeedbackByIsNull() {
            addCriterion("feedback_by is null");
            return (Criteria) this;
        }

        public Criteria andFeedbackByIsNotNull() {
            addCriterion("feedback_by is not null");
            return (Criteria) this;
        }

        public Criteria andFeedbackByEqualTo(Long value) {
            addCriterion("feedback_by =", value, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByNotEqualTo(Long value) {
            addCriterion("feedback_by <>", value, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByGreaterThan(Long value) {
            addCriterion("feedback_by >", value, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByGreaterThanOrEqualTo(Long value) {
            addCriterion("feedback_by >=", value, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByLessThan(Long value) {
            addCriterion("feedback_by <", value, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByLessThanOrEqualTo(Long value) {
            addCriterion("feedback_by <=", value, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByIn(List<Long> values) {
            addCriterion("feedback_by in", values, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByNotIn(List<Long> values) {
            addCriterion("feedback_by not in", values, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByBetween(Long value1, Long value2) {
            addCriterion("feedback_by between", value1, value2, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackByNotBetween(Long value1, Long value2) {
            addCriterion("feedback_by not between", value1, value2, "feedbackBy");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultIsNull() {
            addCriterion("feedback_result is null");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultIsNotNull() {
            addCriterion("feedback_result is not null");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultEqualTo(String value) {
            addCriterion("feedback_result =", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultNotEqualTo(String value) {
            addCriterion("feedback_result <>", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultGreaterThan(String value) {
            addCriterion("feedback_result >", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultGreaterThanOrEqualTo(String value) {
            addCriterion("feedback_result >=", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultLessThan(String value) {
            addCriterion("feedback_result <", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultLessThanOrEqualTo(String value) {
            addCriterion("feedback_result <=", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultLike(String value) {
            addCriterion("feedback_result like", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultNotLike(String value) {
            addCriterion("feedback_result not like", value, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultIn(List<String> values) {
            addCriterion("feedback_result in", values, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultNotIn(List<String> values) {
            addCriterion("feedback_result not in", values, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultBetween(String value1, String value2) {
            addCriterion("feedback_result between", value1, value2, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackResultNotBetween(String value1, String value2) {
            addCriterion("feedback_result not between", value1, value2, "feedbackResult");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentIsNull() {
            addCriterion("feedback_content is null");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentIsNotNull() {
            addCriterion("feedback_content is not null");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentEqualTo(String value) {
            addCriterion("feedback_content =", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentNotEqualTo(String value) {
            addCriterion("feedback_content <>", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentGreaterThan(String value) {
            addCriterion("feedback_content >", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentGreaterThanOrEqualTo(String value) {
            addCriterion("feedback_content >=", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentLessThan(String value) {
            addCriterion("feedback_content <", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentLessThanOrEqualTo(String value) {
            addCriterion("feedback_content <=", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentLike(String value) {
            addCriterion("feedback_content like", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentNotLike(String value) {
            addCriterion("feedback_content not like", value, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentIn(List<String> values) {
            addCriterion("feedback_content in", values, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentNotIn(List<String> values) {
            addCriterion("feedback_content not in", values, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentBetween(String value1, String value2) {
            addCriterion("feedback_content between", value1, value2, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andFeedbackContentNotBetween(String value1, String value2) {
            addCriterion("feedback_content not between", value1, value2, "feedbackContent");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}